---
title: Thanksgiving Meal
date: '2021-11-25'
lastmod: '2021-11-25'
tags: ['Holiday', 'Thanksgiving', 'Daily Blog']
draft: false
summary: What is on the menu at the Yow Thanksgiving dinner. Just sharing what we will be making with some of the recipes.
images: ['/static/images/thanks21_meal.jpg']
authors: ['default']
layout: PostLayout
---
![Thanksgiving Plate](/static/images/thanks21_meal.jpg)

<TOCInline toc={props.toc} exclude="Overview" toHeading={2} />

## The Setup
I have a small family so this year the Thanksgiving feast is just for three people. The location will be my parents house
in Texas with about 58F weather. I'm not much of a cook my self so most items will be done by my mother but I have a few
recipes in mind that i'm going to attempt. 

Mom is making something with a little bourbon in it so I brought my Tx Bourbon bottle. By the end of this theres a good 
chance I will be making a old fashioned and sitting outside with the firepit burning.

## The Turkey
Cooking the turkey is a simple process for us, we don't go crazy. We just mostly cook it to the directions it comes with.
Rub some olive oil on the outside of the turkey, cut up some oinion and celery to throw in the bag with the turkey. We don't
stuff the turkey with anything. The stuffing comes later.

## Pecan Pie
![Pecan Pie](/static/images/thanks21_pecanpie.jpg)
We always have a pecan pie at some point during Thanksgiving or Christmas... Maybe both. It's just a southern "thang" and 
really its kind of one of my favotire deserts. 

- 1 3/4 cup sugar
- 1/4 cup dark karo syrup 
- 1/4 cup butter
- 2 teaspooons corn startch
- 1 tablespoon of cold water


Combine all those ingredients into a pot and melt together on stove.

- 3 eggs

Beat the eggs into a bowel until they are frothy. Can use a mixer to do this. Then pour the sugar/syrup mixure into 
the egg mixture then add 1/4 teaspoon salt, 1 teaspoon of vannila extra.

Add 1 1/4 cup of pecans into the mixture. Mix it all up. Pour into a 9-inch pie pan (with your own crust). Bake for 350F
for 45-50 mintues or until filling is set.


## Pumpkin Pie
![Pumpkin Pie](/static/images/thanks21_pumpkinpie.jpg)
Pumpkin pie is also something my dad always wants. So every year that is also made for both Thanksgiving and Christmas.

- 1 15oz can of pumpkin 
- 1 120z can carnation milk
- 1/2 teaspoon salt
- 3/4 cup granulated sugar
- 1 teaspoon cinnamon
- 1 teaspoon ground ginger
- 1 teaspoon ground gloves
- 2 large eggs
- 1 large deep dish pie sell 

Mix dry stuff together. Beat the eggs in a bowel. Stir in the pumpkin and dry ingredient mixture. Slowy pour in the milk.
After all mixed pour into the pie shell and bake at 425F for 15 mintues. Reduce heat to 350F for 30-40 mintues or until 
a knife in the middle comes out clean.

## Irish Soda Bread
I just wanted to make some of this soda bread that I was reading from the "[Unofficial Harry Potter Cookbook](https://www.amazon.com/Unofficial-Harry-Potter-Cookbook-Knickerbocker/dp/1440503257)". Its pretty
simple and might be pretty simple tasting as well. Id recommnd buying the book if you enjoy Harry Potter and trying to 
make all the foods they have in the books/movies.

- 4 cups flour
- 1 1/2 teaspoon baking soda
- 1 1/2 teaspoon cream of tartar
- 1 teaspoon salt
- 3 tablespoons granulated sugar
- 1/2 stick of butter (4 tablespoons)
- 1 large egg
- 1 1/2 cups butter milk

Pretty much you mix it all together in a big bowl, knead the dough on a surface with some extra flour. Throw it in a 
9-inch round baking dish as a ball shape. Make a 1/2 inch deep X with a knife on the top.

Bake for 15 minutes at 425F, then turn down oven to 350F for 40 more mintues. Make sure bottom is brown to be done.

## Deviled eggs
![Deviled Eggs](/static/images/thanks21_deviledeggs.jpg)
I make deviled eggs every year. Easy on the side snack with the meal. 

- 6 eggs
- 1/4 cup mayonnaise
- 1 teaspoon white vinegar
- 1 teaspoon yellow mustard
- 1/8 teaspoon salt
- Ground Black Pepper
- Paprika for garnish

Boil the eggs to make hard boiled eggs how ever you please to do that. Shell the eggs once cooled, cut eggs in half lengthwise
 and place the yolks into a bowl. Mash the yolk into a fine crumble. Add mayonnaise, vinegar, mustard, salt, and pepper. Mix well.

Evenly disperse teaspoon size of the yolk mixture into the egg whites. Sprinkle with paprika and serve.

## Massaged Kale Salad
![Kale Salad](/static/images/thanks21_kalesalad.jpg)
This is my way of adding some healthy greens to the Thanksgiving meal. It's better than nothing and I was trying to 
imitate Chick-fi-la's kale salad.

- 1 bunch of curly kale
- 1 lemon, juiced
- 2 cloes garlic, minced
- 3 tablespoons olive oil
- 1/2 cup parmesan cheese, shaved
- salt and pepper to taste

In small skillet, heat the olive oil and add minced garlic. Saute the garlic over medium heat for about 30 seconds. Set 
the infused oil aside.

Prepare the kale by removing the stems and cutting it into thin ribbons.

Place the kale ribbons in a large bowl and toss in the cooled olive oil, lemon juice, salt, and pepper.

Massage the kale for two minutes with your hands, or until the leaves start to wilt. Top it off with fresh shaved 
parmesan cheese. Serve.

## Honey Galzed Carrots
Some carrots on the side is never a bad idea. Of course they are unhealthy with honey but its just once a year right?

- 2 pounds carrots, peeled (or baby carrots)
- 1/4 cup Honey
- 3 garic cloves, minced
- 2 tablespoons melted butter
- 1 tablespoon olive oil
- 1 teaspoon cinnamon
- 1/2 teaspoon ground ginger
- 1/2 teaspoon salt
- 1/4 teaspoon pepper
- Parsley, thyme or other herbs for garnish (optional)

Pre-heat oven to 425F. Cut carrots on a diagonal, about 1"-1.5" in lenght. If carrots are large and thick, you can 
slice them in half as well. I used baby carrots and just left them as they are.

In mixing bowl, toss the the carrots with honey, garlic, butter, oil, and spices.

Pour the carrots and glaze onto a sheet pan and spread them out. Roast for 20-25 minutes tossing them halfway through.
You can broil for 2-3 mintues to get a caramelization on the edges.


